﻿Imports System.Diagnostics
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports WsaWrcCs.Interfaces

Namespace WsaWrcCs.Logger
	Public NotInheritable Class DebugLogger
		Implements ILogger
		Public Function Log(ByVal message As String, ByVal category As String, ByVal priority As String) As String Implements ILogger.Log
            Dim formattedMessage As String = String.Format("{0}: {1}({2}) - {3}", Date.Now, category, priority, message)

			Debug.WriteLine(formattedMessage)
			Return formattedMessage
		End Function

		Public Function Log(ByVal message As String, ByVal category As String) As String Implements ILogger.Log
			Return Log(message, category, "0")
		End Function

		Public Function Log(ByVal message As String) As String Implements ILogger.Log
			Return Log(message, "MISC", "0")
		End Function
	End Class
End Namespace
