#pragma once

#include <string>
using namespace std;

template<typename str>
const string GetWinRtLocalFolderPath(str fileName)
{
	// Get local folder location 
	auto path = ApplicationData::Current->LocalFolder->Path;

	// Convert String^ to string
	string fullpath(path->Begin(), path->End());

	// Append \filename
	fullpath.append("\\\\");
	if (fileName != nullptr)
		fullpath.append(fileName);

	// return fullpath
	return fullpath;
}
