﻿#include "pch.h"
#include "BindableBase.h"

using namespace WsaWrcCpp::DataBinding;

using namespace Platform;
using namespace Windows::UI::Xaml::Data;
using namespace Windows::UI::Xaml::Interop;

/// <summary>
/// Notifies listeners that a property value has changed.
/// </summary>
/// <param name="propertyName">Name of the property used to notify listeners.</param>
void BindableBase::NotifyPropertyChanged(String^ propertyName)
{
	PropertyChanged(this, ref new PropertyChangedEventArgs(propertyName));
}

ICustomProperty^ BindableBase::GetCustomProperty(Platform::String^ name) 
{
	return nullptr;
}

ICustomProperty^ BindableBase::GetIndexedProperty(Platform::String^ name, TypeName type) 
{
	return nullptr;
}

Platform::String^ BindableBase::GetStringRepresentation() 
{
	return this->ToString(); 
}