﻿#pragma once

//using namespace Windows::Foundation::Metadata;
using namespace Windows::Foundation;
using namespace Windows::UI::Xaml::Input;

namespace WsaWrcCpp {
	namespace DataBinding {
		public delegate void ExecuteDelegate(Platform::Object^ parameter);
		public delegate bool CanExecuteDelegate(Platform::Object^ parameter);

		[Windows::Foundation::Metadata::WebHostHidden]
		public ref class DelegateCommand sealed : public ICommand {
		public:
			virtual event EventHandler<Platform::Object^>^ CanExecuteChanged;

			DelegateCommand(void);
			DelegateCommand(ExecuteDelegate^ execute, CanExecuteDelegate^ canExecute);

			virtual void Execute(Platform::Object^ parameter);
			virtual bool CanExecute(Platform::Object^ parameter);
			void RaiseCanExecuteChanged();
		private:
			ExecuteDelegate^ m_executeDelegate;
			CanExecuteDelegate^ m_canExecuteDelegate;
			bool m_canExecute;
		};
	}
}
