#pragma once

// IDE will not let you know this is required until compile time!
#include "DataBindingView.xaml.h"

using namespace Windows::UI::Xaml::Controls;
using namespace Windows::UI::Xaml::Interop;
using namespace WsaWrcCpp::Interfaces;
using namespace WsaWrcCpp::ViewModel;
using namespace WsaWrcCs::Logger;
using namespace WsaWrcCs::Interfaces;

namespace WsaXamlCpp 
{
	ref class DataBindingPresenter sealed : public IPresenter
	{
	private:
		ILogger^ _logger;
		DataBindingView^ _view;
		MainViewModel^ _viewModel;
	public:
		DataBindingPresenter();
		void Navigate(Frame^ frame);
		virtual void Initialize(Object^ view);
		virtual void CommandHandler(Object^ command);
	};

}