#pragma once

#include "DataBindingView.xaml.h"

using namespace Windows::UI::Xaml::Controls;
using namespace Windows::UI::Xaml::Interop;
using namespace WsaWrcCpp::Interfaces;
using namespace WsaWrcCpp::ViewModel;

namespace WsaXamlCpp
{
	ref class ReusedPresenter sealed : public IPresenter
	{
	private:
		int _counter;
		DataBindingView^ _view;
		MainViewModel^ _viewModel;
	public:
		ReusedPresenter();
		void Navigate(Frame^ frame);
		virtual void Initialize(Object^ view);
		virtual void CommandHandler(Object^ command);
	};
}